%define build_appledevice	1
%define build_njb		0
%define build_mtp		1
%define build_karma		0
%define build_boo		0
#gw does not build with clutter 1.1.12:
#https://bugzilla.gnome.org/show_bug.cgi?id=611153
%define build_clutter		0
%define build_webkit		0
%define build_docs  		0

%{?_without_njb: %{expand: %%global build_njb 0}}
%{?_with_njb: %{expand: %%global build_njb 1}}
%{?_without_mtp: %{expand: %%global build_mtp 0}}
%{?_with_mtp: %{expand: %%global build_mtp 1}}
%{?_without_karma: %{expand: %%global build_karma 0}}
%{?_with_karma: %{expand: %%global build_karma 1}}
%{?_without_boo: %{expand: %%global build_boo 0}}
%{?_with_boo: %{expand: %%global build_boo 1}}
%{?_without_clutter: %{expand: %%global build_clutter 0}}
%{?_with_clutter: %{expand: %%global build_clutter 1}}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Music player with mobile player support
Name:		banshee
Epoch:		1
Version:	2.6.2
Release:	%mkrel 17
License:	MIT
Group:		Sound/Players
Url:		http://banshee.fm
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#(nl) KDE Solid integration : from mdv svn  soft/mandriva-kde-translation/trunk/solid/
Source1:	banshee-play-audiocd.desktop
#Patch0:		banshee-2.6.1-mono4.patch
#
# Fedora patches
#
# GStreamer 1.0 patches from Debian:
Patch2: Initial-port-to-GStreamer-1.0.patch
Patch3: Remove-build-time-enable-gapless-playback-option.patch
Patch4: Don-t-use-the-new-decoded-pad-signal-of-decodebin.patch
Patch5: Use-new-style-GStreamer-1.0-raw-audio-caps-in-the-WA.patch
# Backported crash fix from upstream
Patch6: Dont-try-to-mount-null-devices.patch
# Bugzilla 1167029
Patch7: banshee-2.6.2-gst1.0-handle-events-fix.patch
# Add sqlite-hints
# https://bugzilla.gnome.org/show_bug.cgi?id=740879
Patch8: banshee-2.6.2-sqlite-hints.patch
# Support dbus-sharp 2.0
Patch9: banshee-2.6.2-dbus2.patch
# clean up cairo warnings
Patch10: banshee-2.6.2-cairo-fix.patch
# clean up process-working exception
Patch11: banshee-2.6.2-icon-fix.patch
# force MONO_TLS_PROVIDER=legacy
Patch12: banshee-2.6.2-mono-tls-provider-legacy.patch
# fix gnome-settings connection
# Thanks to Fabrice Bellet
Patch13: banshee-2.6.2-fix-gnomesettings-connection.patch
# Fix NetworkManager connection state cases
# Thanks to Fabrice Bellet
Patch14: banshee-2.6.2-fix-nm-connection-state-cases.patch
# Convert failed xml streams from dos2unix and retry
Patch15: banshee-2.6.2-dos2unix-xml.patch
# More fixes from Fabrice Bellet
Patch16: 1018-Fix-reference-to-gtk-stock-icons.patch
Patch17: banshee-2.6.2-fix-CollectionExtensions-disambiguation.patch
#
# End of Fedora patches
#

# (tv) because banshee provides 'mono(gio-sharp)' too:
BuildConflicts: banshee
BuildRequires:	intltool
BuildRequires:	pkgconfig(dbus-sharp-glib-1.0) >= 0.5
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gconf-sharp-2.0) >= 2.8
BuildRequires:	pkgconfig(gdata-sharp-youtube) >= 1.4
BuildRequires:	pkgconfig(gio-sharp-2.0) >= 2.22.3
BuildRequires:	pkgconfig(gkeyfile-sharp)
BuildRequires:	pkgconfig(gnome-doc-utils)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.8
BuildRequires:	pkgconfig(gtk-sharp-beans-2.0)
BuildRequires:	pkgconfig(gudev-sharp-3.0)
BuildRequires:	pkgconfig(mono) >= 2.4.3
BuildRequires:	pkgconfig(mono-addins) >= 0.6.2
BuildRequires:	pkgconfig(mono-zeroconf)
BuildRequires:	pkgconfig(notify-sharp)
BuildRequires:	pkgconfig(sqlite3) >= 3.4
BuildRequires:	pkgconfig(taglib-sharp) >= 2.0.3.7
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(xxf86vm)

%if %{build_mtp}
BuildRequires:	pkgconfig(libmtp)
%endif

%if %{build_appledevice}
BuildRequires:	pkgconfig(libgpod-sharp)
%endif

%if %{build_webkit}
BuildRequires:	pkgconfig(webkit-1.0) >= 1.2.2
%endif

%if %{build_clutter}
BuildRequires:	pkgconfig(clutter-1.0) >= 1.0.1
%endif

%if %{build_boo}
BuildRequires:	pkgconfig(boo) >= 0.8.1
%endif

%if %{build_karma}
BuildRequires:	pkgconfig(karma-sharp)
%endif

Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-cdparanoia
Recommends:	gstreamer1.0-xing
Recommends:	gstreamer1.0-lame
Recommends:	gstreamer1.0-faac
Recommends:	gstreamer1.0-faad
#gw for bpm detection:
Recommends:	gstreamer1.0-soundtouch
Recommends:	brasero
# (tv) not automatically found:
Requires:	mono-addins

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}mono\\(gio-sharp

%description
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

%if %{build_appledevice}
%package ipod
Group:		Sound/Players
Summary:	Ipod support for Banshee
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ipod
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for iPod support in Banshee.
%endif

%if %{build_njb}
%package njb
Group:		Sound/Players
Summary:	Nomad jukebox support for Banshee
Requires:	%{name} = %{epoch}:%{version}-%{release}
BuildRequires:	njb-sharp >= 0.3.0

%description njb
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for Nomad jukebox support in Banshee.
%endif

%if %{build_mtp}
%package mtp
Group:		Sound/Players
Summary:	MTP audio player support for Banshee
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description mtp
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for MTP audio player support in Banshee.
%endif

%if %{build_karma}
%package karma
Group:		Sound/Players
Summary:	Rio Karma audio player support for Banshee
Requires:	%{name} = %{epoch}:%{version}

%description karma
With Banshee you can easily import, manage, and play selections from
your music collection. Banshee allows you to import CDs, sync your
music collection to an mobile device, play music directly from an
mobile player, create playlists with songs from your library, and
create audio and MP3 CDs from subsets of your library.

Install this package for Rio Karma audio player support in Banshee.
%endif

%if %{build_docs}
%package doc
Summary:	Development documentation for %{name}
Group:		Development/Other
Requires(post):		mono-tools >= 1.1.9
Requires(postun):	mono-tools >= 1.1.9
BuildArch:	noarch

%description doc
This package contains the API documentation for the %{name} in
Monodoc format.
%endif

%package devel
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}
Summary:	Development parts of %{name}

%description devel
This package contains the pkg-config files needed for building Banshee
extensions.

%prep
%setup -q
%autopatch -p1

sed -i "s#gmcs#mcs#g" configure.ac
sed -i "s#gmcs#mcs#g" configure*
sed -i "s#gmcs#mcs#g" Makefile.in
sed -i "s#gmcs#mcs#g" src/Libraries/Lastfm/Makefile.*
sed -i "s#gmcs#mcs#g" Makefile.*
sed -i "s#gmcs#mcs#g" src/Hyena/build/m4/shamrock/mono.m4
sed -i "s#gmcs#mcs#g" build/m4/shamrock/mono.m4

%build
NOCONFIGURE=1 ./autogen.sh

sed -i "s#gmcs#mcs#g" configure
sed -i "s#mono/2.0#mono/4.5#g" configure
sed -i "s#Mono 2.0#Mono 4.5#g" configure

%configure  \
	--with-vendor-build-id="%{_vendor} %{distro_release}"  \
%if ! %{build_webkit}
	--disable-webkit \
%endif
%if %{build_mtp}
	--enable-mtp \
%endif
%if !%{build_appledevice}
	--disable-appledevice \
%endif
%if %{build_karma}
	--enable-karma \
%endif
%if %{build_clutter}
	--enable-clutter \
%endif
%if %{build_boo}
	--enable-boo \
%else
	--disable-boo \
%endif
%if %{build_docs}
	--enable-docs \
%else
	--disable-docs \
%endif
	--disable-static \
	--disable-scrollkeeper \
	--disable-schemas-install
%make_build

%install
%make_install MONO=true

%find_lang %{name} --with-gnome

%if %{build_appledevice}
ln -sf %{_libdir}/libgpod/libgpod-sharp.dll* %{buildroot}%{_libdir}/%{name}/Extensions/
%endif

%if %{build_karma}
ln -sf %{_prefix}/lib/karma-sharp/karma-sharp.dll %{buildroot}%{_libdir}/%{name}/Extensions/
%endif

# we don't want these
find %{buildroot} -name "*.la" -delete

# gw fix paths in pkgconfig files
perl -pi -e "s^/lib$^/%{_lib}^" %{buildroot}%{_libdir}/pkgconfig/*.pc

#(nl) KDE Solid integration
mkdir -p %{buildroot}/%{_datadir}/apps/solid/actions/
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/apps/solid/actions/

%if %{build_docs}
%post doc
%{_bindir}/monodoc --make-index > /dev/null

%postun doc
if [ "$1" = "0" -a -x %{_bindir}/monodoc ]; then %{_bindir}/monodoc --make-index > /dev/null
fi
%endif

%files -f %{name}.lang
%doc NEWS README AUTHORS
%{_bindir}/bamz
%{_bindir}/%{name}
%{_bindir}/muinshee
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/Backends
%{_libdir}/%{name}/Backends/Banshee.GStreamer.*
%{_libdir}/%{name}/Backends/Banshee.Gio.*
%{_libdir}/%{name}/Backends/Banshee.Gnome.*
%{_libdir}/%{name}/Backends/Banshee.NowPlaying.X11.*
%{_libdir}/%{name}/Backends/Banshee.Unix.*
%{_libdir}/%{name}/Backends/gio-sharp.dll*
%{_libdir}/%{name}/Backends/libbnpx11.so
%dir %{_libdir}/%{name}/Extensions
%{_libdir}/%{name}/Extensions/Banshee.Audiobook.dll*

%if %build_boo
%{_libdir}/%{name}/Extensions/Banshee.BooScript.dll*
%endif

%{_libdir}/%{name}/Extensions/Banshee.AmazonMp3.exe*
%{_libdir}/%{name}/Extensions/Banshee.Bpm.dll*
%{_libdir}/%{name}/Extensions/Banshee.CoverArt.dll*
%{_libdir}/%{name}/Extensions/Banshee.Daap.dll*
%{_libdir}/%{name}/Extensions/Banshee.Dap.MassStorage.dll*
%{_libdir}/%{name}/Extensions/Banshee.Dap.dll*
%{_libdir}/%{name}/Extensions/Banshee.Emusic.dll*
%{_libdir}/%{name}/Extensions/Banshee.FileSystemQueue.dll*
%{_libdir}/%{name}/Extensions/Banshee.Fixup.dll*
%{_libdir}/%{name}/Extensions/Banshee.InternetArchive.dll*
%{_libdir}/%{name}/Extensions/Banshee.InternetRadio.dll*
%{_libdir}/%{name}/Extensions/Banshee.Lastfm.dll*
%{_libdir}/%{name}/Extensions/Banshee.LastfmStreaming.dll*
%{_libdir}/%{name}/Extensions/Banshee.LibraryWatcher.dll*
%{_libdir}/%{name}/Extensions/Banshee.MiniMode.dll*
%{_libdir}/%{name}/Extensions/Banshee.Mpris.dll*
%{_libdir}/%{name}/Extensions/Banshee.MultimediaKeys.dll*
%{_libdir}/%{name}/Extensions/Banshee.NotificationArea.dll*
%{_libdir}/%{name}/Extensions/Banshee.NowPlaying.dll*
%{_libdir}/%{name}/Extensions/Banshee.OpticalDisc.dll*
%{_libdir}/%{name}/Extensions/Banshee.PlayerMigration.dll*
%{_libdir}/%{name}/Extensions/Banshee.PlayQueue.dll*
%{_libdir}/%{name}/Extensions/Banshee.Podcasting.dll*
%{_libdir}/%{name}/Extensions/Banshee.YouTube.dll*

%if %build_webkit
%{_libdir}/%{name}/Extensions/Banshee.AmazonMp3.Store.dll*
%{_libdir}/%{name}/Extensions/Banshee.Emusic.Store.dll*
%{_libdir}/%{name}/Extensions/Banshee.MiroGuide.dll*
%{_libdir}/%{name}/Extensions/Banshee.Wikipedia.dll*
%endif

%{_libdir}/%{name}/*.exe*
%{_libdir}/%{name}/Banshee*.dll*
%{_libdir}/%{name}/Hyena*.dll*
%{_libdir}/%{name}/Lastfm*.dll*
%{_libdir}/%{name}/Migo.dll*
%{_libdir}/%{name}/Mono*.dll*
%{_libdir}/%{name}/MusicBrainz.dll*
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/Banshee.Services.addins
%{_datadir}/appdata/banshee.appdata.xml
%{_datadir}/%{name}/
%{_datadir}/dbus-1/services/*
%{_datadir}/appdata/banshee.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-audiocd.desktop
%{_datadir}/applications/%{name}-media-player.desktop
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/apps/solid/actions/banshee-play-audiocd.desktop
%{_datadir}/mime/packages/banshee-amz.xml
%{_datadir}/mime/packages/banshee-emx.xml

%files devel
%{_libdir}/pkgconfig/%{name}*.pc

%if %{build_docs}
%files doc
%{_prefix}/lib/monodoc/sources/banshee-docs*
%{_prefix}/lib/monodoc/sources/hyena-docs*
%endif

%if %{build_appledevice}
%files ipod
%{_libdir}/%{name}/Extensions/Banshee.Dap.AppleDevice.dll*
%{_libdir}/%{name}/Extensions/libgpod-sharp.dll*
%endif

%if %{build_njb}
%files njb
%{_libdir}/%{name}/Extensions/Banshee.Dap/*jb*
%endif

%if %{build_mtp}
%files mtp
%{_libdir}/%{name}/Mtp.dll*
%{_libdir}/%{name}/Extensions/Banshee.Dap.Mtp.dll*
%endif

%if %{build_karma}
%files karma
%{_libdir}/%{name}/Extensions/Banshee.Dap.Karma.dll*
%{_libdir}/%{name}/Extensions/karma-sharp.dll*
%endif


%changelog
* Fri Sep 25 2020 tv <tv> 1:2.6.2-17.mga8
+ Revision: 1629961
- BuildConflicts: banshee because banshee provides 'mono(gio-sharp)'
- filter provides accordingly
- rebuild for new mono

* Wed Aug 12 2020 wally <wally> 1:2.6.2-16.mga8
+ Revision: 1613683
- sync patches with Fedora
- replace deprecated %%configure2_5x
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Feb 23 2019 wally <wally> 1:2.6.2-14.mga7
+ Revision: 1369612
- stop using webkit1

* Fri Sep 21 2018 umeabot <umeabot> 1:2.6.2-13.mga7
+ Revision: 1295373
- Mageia 7 Mass Rebuild

* Sun Feb 19 2017 daviddavid <daviddavid> 1:2.6.2-12.mga6
+ Revision: 1086862
- fix dependencies on gstreamer1.0

* Fri Mar 04 2016 pterjan <pterjan> 1:2.6.2-11.mga6
+ Revision: 985484
- All dependencies are now available on arm
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sat Dec 05 2015 tv <tv> 1:2.6.2-9.mga6
+ Revision: 908477
- disable docs
- disable docs
- regenerate configure
- disable patch 0
- revert
- temporary un-BR gdata-sharp-youtube
- temporary disable karma support
- one more mono4 fix
- rebuild for mono4

* Thu Mar 12 2015 tv <tv> 1:2.6.2-8.mga5
+ Revision: 818436
- add FC patches (gst1.0 + misc fixes) -> works again

* Sat Oct 18 2014 tv <tv> 1:2.6.2-7.mga5
+ Revision: 783750
- rebuild for libgoogle-data-mono

* Sat Oct 18 2014 fwang <fwang> 1:2.6.2-6.mga5
+ Revision: 783741
- rebuild for new google gdata

* Wed Oct 15 2014 umeabot <umeabot> 1:2.6.2-5.mga5
+ Revision: 746728
- Second Mageia 5 Mass Rebuild

* Tue Sep 23 2014 tv <tv> 1:2.6.2-4.mga5
+ Revision: 722656
- rebuild for libgoogle-data-mono

* Thu Sep 18 2014 umeabot <umeabot> 1:2.6.2-3.mga5
+ Revision: 693492
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:2.6.2-2.mga5
+ Revision: 678111
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ fwang <fwang>
- update file list

* Wed Feb 19 2014 tv <tv> 1:2.6.2-1.mga5
+ Revision: 594627
- adjust file list
+ ovitters <ovitters>
- new version 2.6.2

* Thu Jan 23 2014 tv <tv> 1:2.6.1-4.mga4
+ Revision: 567525
- requires mono-addins instead of 'mono(Mono.Addins)' as monodevelop provides
  it too (mga#12332)

* Sat Jan 18 2014 tv <tv> 1:2.6.1-3.mga4
+ Revision: 566851
- add missing requires on mono-addins (mga#12332)

* Wed Jan 08 2014 pterjan <pterjan> 1:2.6.1-2.mga4
+ Revision: 565593
- Fix dependencies for subpackages

* Wed Jan 08 2014 pterjan <pterjan> 1:2.6.1-1.mga4
+ Revision: 565587
- Revert to stable 2.6.1
- target mono4 as this is the case for gtk-sharp2

* Sat Jan 04 2014 pterjan <pterjan> 2.9.0-8.mga4
+ Revision: 564530
- Add patch from Debian fixing build failure

* Thu Jan 02 2014 pterjan <pterjan> 2.9.0-7.mga4
+ Revision: 563960
- Disable Boo support, currently broken

* Tue Oct 22 2013 umeabot <umeabot> 2.9.0-6.mga4
+ Revision: 541368
- Mageia 4 Mass Rebuild

* Fri Oct 18 2013 tv <tv> 2.9.0-5.mga4
+ Revision: 511262
- rebuild for libgoogle-data-mono, hopefully making it installable again

* Sat Oct 12 2013 fwang <fwang> 2.9.0-4.mga4
+ Revision: 495765
- add patch
- replace gtk-sharp-2.0 req with gtk-sharp-3.0

* Sat Oct 12 2013 dams <dams> 2.9.0-3.mga4
+ Revision: 495747
- fix 'gudev-sharp' BR and update configure options

* Fri Oct 11 2013 dams <dams> 2.9.0-2.mga4
+ Revision: 495211
- adds more BR

* Tue Oct 08 2013 dams <dams> 2.9.0-1.mga4
+ Revision: 493755
- new version 2.9.0

* Thu May 23 2013 dams <dams> 2.6.1-1.mga4
+ Revision: 425287
- new version 2.6.1

* Sat Jan 12 2013 fwang <fwang> 2.6.0-3.mga3
+ Revision: 358522
- rebuild for new google-data

* Fri Jan 11 2013 umeabot <umeabot> 2.6.0-2.mga3
+ Revision: 346841
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 ovitters <ovitters> 2.6.0-1.mga3
+ Revision: 300440
- update group: Sound -> Sound/Players
- new version 2.6.0

* Thu Sep 13 2012 ovitters <ovitters> 2.5.1-1.mga3
+ Revision: 293696
- new version 2.5.1

* Fri Aug 31 2012 fwang <fwang> 2.5.0-1.mga3
+ Revision: 285973
- new version 2.5.0

* Thu Aug 23 2012 tv <tv> 2.4.1-2.mga3
+ Revision: 283350
- rebuild for new taglib-sharp

* Thu May 31 2012 ovitters <ovitters> 2.4.1-1.mga3
+ Revision: 252560
- new version 2.4.1

* Mon Mar 19 2012 ovitters <ovitters> 2.4.0-1.mga3
+ Revision: 224539
- new version 2.4.0
- drop merged patch
- update buildrequires
- fix patch2
- add upstream patch to check ssl certificate
- clean spec

* Fri Mar 09 2012 fwang <fwang> 2.3.6-1.mga2
+ Revision: 222005
- new version 2.3.6

* Thu Feb 16 2012 fwang <fwang> 2.3.5-1.mga2
+ Revision: 209711
- new version 2.3.5
+ ovitters <ovitters>
- add dep3 headers

* Sat Jan 21 2012 fwang <fwang> 2.3.4-1.mga2
+ Revision: 199076
- new version 2.3.4

* Thu Dec 22 2011 fwang <fwang> 2.3.3-1.mga2
+ Revision: 185616
- new version 2.3.3

* Fri Dec 02 2011 wally <wally> 2.3.2-1.mga2
+ Revision: 175153
- new version 2.3.2

* Wed Nov 02 2011 fwang <fwang> 2.2.1-1.mga2
+ Revision: 161243
- new version 2.2.1

* Tue Sep 20 2011 fwang <fwang> 2.2.0-1.mga2
+ Revision: 145891
- new version 2.2.0

* Thu Sep 08 2011 tv <tv> 2.1.4-1.mga2
+ Revision: 141079
- new release

* Wed Sep 07 2011 wally <wally> 2.1.3-2.mga2
+ Revision: 140546
- rebuild for new taglib-sharp
- add patch to fix build
- clean BRs and use pkgconfig style when possible
+ fwang <fwang>
- new version 2.1.3

* Sun Jul 17 2011 dmorgan <dmorgan> 2.1.0-2.mga2
+ Revision: 125356
- Rebuild against new libgoogle-data-mono

* Sun Jul 03 2011 wally <wally> 2.1.0-1.mga2
+ Revision: 117571
- new version 2.1.0
- clean BRs
- disable static build
- drop old obsoletes and provides
- clean .spec

* Mon Jun 20 2011 dmorgan <dmorgan> 2.0.1-2.mga2
+ Revision: 110443
- Rebuild against new webkit

* Sun May 08 2011 pterjan <pterjan> 2.0.1-1.mga1
+ Revision: 96199
- Update to 2.0.1 (bug-fix-only release)

* Tue Apr 12 2011 ahmad <ahmad> 2.0.0-3.mga1
+ Revision: 83983
- drop some redundant BR.
- use %%distro_release instead of %%mgaversion

* Tue Apr 12 2011 ahmad <ahmad> 2.0.0-2.mga1
+ Revision: 83607
- bump rel for a smooth upgrade from 2010.1 (package in main/backports is -2mdv)

* Tue Apr 12 2011 ahmad <ahmad> 2.0.0-1.mga1
+ Revision: 83601
- update to 2.0.0
- disable hal when disabling (old) ipod support (Mandriva)
- fix the solid action .desktop file (Mandriva)

* Thu Mar 24 2011 boklm <boklm> 1.8.1-3.mga1
+ Revision: 76131
- rebuild for bug #497

* Wed Mar 16 2011 ahmad <ahmad> 1.8.1-2.mga1
+ Revision: 72934
- add BR libproxy-devel
- add BR libgnome-keyring-devel
+ ennael <ennael>
- adapt vendor name
- remove mdv version
- clean spec file
- imported package banshee

